﻿using System.Windows;

namespace TestProject;

/// <summary>
/// 메인 윈도우
/// </summary>
public partial class MainWindow : Window
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 생성자 - MainWindow()

    /// <summary>
    /// 생성자
    /// </summary>
    public MainWindow()
    {
        InitializeComponent();

        this.toggleButton.Click += toggleButton_Click;
    }

    #endregion

    //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region IsEnabled 속성 토글 버튼 클릭시 처리하기 - toggleButton_Click(sender, e)

    /// <summary>
    /// IsEnabled 속성 토글 버튼 클릭시 처리하기
    /// </summary>
    /// <param name="sender">이벤트 발생자</param>
    /// <param name="e">이벤트 인자</param>
    private void toggleButton_Click(object sender, RoutedEventArgs e)
    {
        this.imageButton1.IsEnabled = !this.imageButton1.IsEnabled;
        this.imageButton2.IsEnabled = !this.imageButton2.IsEnabled;
    }

    #endregion
}